List of all members
clan::FrameBufferProvider Class Referenceabstract
clanDisplay Display

Interface for implementing a FrameBuffer target. More...

`#include <frame_buffer_provider.h>`

## Public Member Functions
Construction
virtual | ~FrameBufferProvider ()
Attributes
virtual Size | get_size () const =0
virtual FrameBufferBindTarget | get_bind_target () const =0
Operations
virtual void | attach_color (int attachment_index, const RenderBuffer &render_buffer)=0
| Attach color buffer. More...
virtual void | attach_color (int attachment_index, const Texture1D &texture, int level)=0
| Attach color buffer. More...
virtual void | attach_color (int attachment_index, const Texture1DArray &texture, int array_index, int level)=0
| Attach color buffer. More...
virtual void | attach_color (int attachment_index, const Texture2D &texture, int level)=0
| Attach color buffer. More...
virtual void | attach_color (int attachment_index, const Texture2DArray &texture, int array_index, int level)=0
| Attach color buffer. More...
virtual void | attach_color (int attachment_index, const Texture3D &texture, int depth, int level)=0
| Attach color buffer. More...
virtual void | attach_color (int attachment_index, const TextureCube &texture, TextureSubtype subtype, int level)=0
| Attach color buffer. More...
virtual void | detach_color (int attachment_index)=0
| Detach color buffer. More...
virtual void | attach_stencil (const RenderBuffer &render_buffer)=0
virtual void | attach_stencil (const Texture2D &texture, int level)=0
virtual void | attach_stencil (const TextureCube &texture, TextureSubtype subtype, int level)=0
virtual void | detach_stencil ()=0
virtual void | attach_depth (const RenderBuffer &render_buffer)=0
virtual void | attach_depth (const Texture2D &texture, int level)=0
virtual void | attach_depth (const TextureCube &texture, TextureSubtype subtype, int level)=0
virtual void | detach_depth ()=0
virtual void | attach_depth_stencil (const RenderBuffer &render_buffer)=0
virtual void | attach_depth_stencil (const Texture2D &texture, int level)=0
virtual void | attach_depth_stencil (const TextureCube &texture, TextureSubtype subtype, int level)=0
virtual void | detach_depth_stencil ()=0
virtual void | set_bind_target (FrameBufferBindTarget target)=0

## Detailed Description

Interface for implementing a FrameBuffer target.

The documentation for this class was generated from the following file:

- frame_buffer_provider.h